Package: groovy.org.codenarc.rule.formatting

## [Groovy] Class LineLengthRule

- groovy.org.codenarc.rule.formatting.LineLengthRule

- Checks the maximum length for each line of source code. It checks for number of characters, so lines that include tabs may appear longer than the allowed number when viewing the file. The maximum line length can be configured by setting the length property, which defaults to 120.

  Authors:
    Hamlet D'Arcy
    Geli Crick

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `boolean` | `ignoreImportStatements`
    `boolean` | `ignorePackageStatements`
    `int` | `length`
    `String` | `name`
    `int` | `priority`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`

- - ### Property Detail

    - #### boolean ignoreImportStatements

    - #### boolean ignorePackageStatements

    - #### int length

    - #### String name

    - #### int priority

  - ### Method Detail

    - #### @Override void applyTo(SourceCode sourceCode, List violations)